using DataSharing.Application.Mappers;
using DataSharing.Police110;
using Mapster;
using Microsoft.Extensions.DependencyInjection;

namespace Hotline.Application
{
    public static class ApplicationStartupExtensions
    {
        public static IServiceCollection AddApplication(this IServiceCollection services)
        {
            TypeAdapterConfig.GlobalSettings.Scan(typeof(MapperConfigs).Assembly);
            return services;
        }
    }
}
